Free-Vortex Wake Modelling with Adjoint Optimisation for Wind Farm Flow Control
===============================================================================
Authors: Maarten J. van den Broek
Delft Centre for Systems and Control, Delft University of Technology
Mekelweg 2, 2682CD Delft, Netherlands
m.j.vandenbroek@tudelft.nl

General introduction
--------------------
The dataset contains results of optimisation of wind turbine control signals using a novel model approach as well as data used for verification of parameter settings.
The dataset is being made public as supplementary material supporting the paper __TBD__. (DOI)

This work is part of the research programme 'Robust closed-loop wake steering for large densely spaced wind farms' with project number 17512, which is (partly) financed by the Dutch Research Council (NWO).

Methodological information
--------------------------
Methodology for generating the data is presented in the associated paper at __DOI__.
The code used for modelling and optimisation is available at __DOI__, it was run in an environment with Python 3.9 and Numpy 1.23.

Column names
------------
	time 			- non-dimensionalised time
	induction 		- wind turbine induction factor 
	yaw 			- wind turbine yaw angle (degrees)
	power			- non-dimensionalised power
	power_ref		- power divided by reference value
	subscript `_0` 	- optimised, upstream turbine 
	subscript `_1` 	- unoptimised, downstream turbine
	state_0xxxx    	- state element of state vector

	time_step		- size of discrete time step
	core_size		- Gaussian core parameter
	num_rings		- number of rings maintained in simulation
	num_elements 	- number of elements in vortex rings discretisation


Files
-----
Directories `induction` and `yaw` contain model data for control of, respectively, wind turbine induction factor in 2D and yaw angle in 3D.
 - `config.json` configuration file for the simulation code
 - `control.csv` optimised control series
 - `states.csv` state trajectory associated with optimised control series
 - `steady_2d.csv` and `steady_3d.csv` steady-state control response for reference

Directory `parameters` contains the reference sweeps for parameter choice.
 - `2d` vs. `3d` indicates dimension of model
 - `_vs_` indicates which two parameters are being compared


Licence
-------
